Package com.massivecraft.factions.listeners

## Class FactionsEntityListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsEntityListener

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class FactionsEntityListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionsEntityListener()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `cancelFStuckTeleport​(org.bukkit.entity.Player player)` |
`boolean` | `canDamagerHurtDamagee​(org.bukkit.event.entity.EntityDamageByEntityEvent sub)` |
`boolean` | `canDamagerHurtDamagee​(org.bukkit.event.entity.EntityDamageByEntityEvent sub, boolean notify)` |
`boolean` | `isPlayerInSafeZone​(org.bukkit.entity.Entity damagee)` |
`void` | `onBowHit​(org.bukkit.event.entity.EntityDamageByEntityEvent e)` |
`void` | `onCreatureSpawn​(org.bukkit.event.entity.CreatureSpawnEvent event)` |
`void` | `onCreeperGlitch​(org.bukkit.event.entity.EntityDamageEvent e)` |
`void` | `onEntityChangeBlock​(org.bukkit.event.entity.EntityChangeBlockEvent event)` |
`void` | `onEntityCombustByEntity​(org.bukkit.event.entity.EntityCombustByEntityEvent event)` |
`void` | `onEntityDamage​(org.bukkit.event.entity.EntityDamageEvent event)` | Who can I hurt? I can never hurt members or allies.
`void` | `onEntityDeath​(org.bukkit.event.entity.EntityDeathEvent event)` |
`void` | `onEntityExplode​(org.bukkit.event.entity.EntityExplodeEvent event)` |
`void` | `onEntityTarget​(org.bukkit.event.entity.EntityTargetEvent event)` |
`void` | `onHangerBreak​(org.bukkit.event.hanging.HangingBreakByEntityEvent e)` |
`void` | `onHit​(org.bukkit.event.entity.EntityDamageByEntityEvent e)` |
`void` | `onPaintingBreak​(org.bukkit.event.hanging.HangingBreakEvent event)` |
`void` | `onPaintingPlace​(org.bukkit.event.hanging.HangingPlaceEvent event)` |
`void` | `onPlayerInteractEntity​(org.bukkit.event.player.PlayerInteractEntityEvent event)` |
`void` | `onPotionSplashEvent​(org.bukkit.event.entity.PotionSplashEvent event)` |
`void` | `onTravel​(org.bukkit.event.player.PlayerPortalEvent event)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionsEntityListener

    public FactionsEntityListener()

### Method Detail

#### onCreeperGlitch

    public void onCreeperGlitch​(org.bukkit.event.entity.EntityDamageEvent e)

#### onEntityDeath

    public void onEntityDeath​(org.bukkit.event.entity.EntityDeathEvent event)

#### onEntityDamage

    public void onEntityDamage​(org.bukkit.event.entity.EntityDamageEvent event)

Who can I hurt? I can never hurt members or allies. I can always hurt enemies. I can hurt neutrals as long as they are outside their own territory.

#### cancelFStuckTeleport

    public void cancelFStuckTeleport​(org.bukkit.entity.Player player)

#### onEntityExplode

    public void onEntityExplode​(org.bukkit.event.entity.EntityExplodeEvent event)

#### onEntityCombustByEntity

    public void onEntityCombustByEntity​(org.bukkit.event.entity.EntityCombustByEntityEvent event)

#### onPotionSplashEvent

    public void onPotionSplashEvent​(org.bukkit.event.entity.PotionSplashEvent event)

#### isPlayerInSafeZone

    public boolean isPlayerInSafeZone​(org.bukkit.entity.Entity damagee)

#### canDamagerHurtDamagee

    public boolean canDamagerHurtDamagee​(org.bukkit.event.entity.EntityDamageByEntityEvent sub)

#### canDamagerHurtDamagee

    public boolean canDamagerHurtDamagee​(org.bukkit.event.entity.EntityDamageByEntityEvent sub,
                                         boolean notify)

#### onCreatureSpawn

    public void onCreatureSpawn​(org.bukkit.event.entity.CreatureSpawnEvent event)

#### onEntityTarget

    public void onEntityTarget​(org.bukkit.event.entity.EntityTargetEvent event)

#### onPaintingBreak

    public void onPaintingBreak​(org.bukkit.event.hanging.HangingBreakEvent event)

#### onHangerBreak

    public void onHangerBreak​(org.bukkit.event.hanging.HangingBreakByEntityEvent e)

#### onPaintingPlace

    public void onPaintingPlace​(org.bukkit.event.hanging.HangingPlaceEvent event)

#### onEntityChangeBlock

    public void onEntityChangeBlock​(org.bukkit.event.entity.EntityChangeBlockEvent event)

#### onTravel

    public void onTravel​(org.bukkit.event.player.PlayerPortalEvent event)

#### onHit

    public void onHit​(org.bukkit.event.entity.EntityDamageByEntityEvent e)

#### onBowHit

    public void onBowHit​(org.bukkit.event.entity.EntityDamageByEntityEvent e)

#### onPlayerInteractEntity

    public void onPlayerInteractEntity​(org.bukkit.event.player.PlayerInteractEntityEvent event)